Skip to main content
POST
Export Issues

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
string
required

Specifies the deployment to which the issues belong.

Body

application/json
deploymentId
string

Specifies the deployment to which the issues belong.

issueType
enum<string>

Deprecated: use issue_types instead. Filters issues to those with the specified type.

Available options:
ISSUE_TYPE_SAST,
ISSUE_TYPE_SCA,
ISSUE_TYPE_SECRETS,
ISSUE_TYPE_RESEARCH,
ISSUE_TYPE_AI_SAST
sortBy
enum<string>

Specifies the field to sort the results by.

Available options:
SORT_BY_SEVERITY,
SORT_BY_REF,
SORT_BY_REPO,
SORT_BY_RULE,
SORT_BY_RELEVANT_SINCE,
SORT_BY_STATE
sortDirection
enum<string>

Specifies the direction to sort the results.

Available options:
SORT_DIRECTION_ASC,
SORT_DIRECTION_DESC
limit
integer<int64>

Sets the page size of the paginated list of issues.

cursor
string

Cursor used for pagination -- passing no value or an empty string effectively requests the first page.

filter
object

Filters the issues to list.

issueTypes
enum<string>[]

Filters issues to those with any of the specified types (based on the product which produced these issues). When empty, falls back to the deprecated issue_type field for backward compatibility.

Available options:
ISSUE_TYPE_UNSPECIFIED,
ISSUE_TYPE_SAST,
ISSUE_TYPE_SCA,
ISSUE_TYPE_SECRETS,
ISSUE_TYPE_RESEARCH,
ISSUE_TYPE_AI_SAST
includeRemediation
boolean

When true, include AI remediation info (autofix and guidance) for each issue in the response. Defaults to false.

includeActivityHistory
boolean

When true, include activity history (status changes, triage events, etc.) for each issue in the response. Defaults to false.

includeIsArchived
boolean

When true, populate the is_archived field on each issue in the response. Defaults to false.

Response

202 - application/json

Accepted

taskTokenJwt
string